function::log
Prev | Chapter 22. Logging Tapset | Next

## Name

function::log — Send a line to the common trace buffer

## Synopsis

        log(msg:string)

## Arguments

`msg`

  The formatted message string

## Description

This function logs data. log sends the message immediately to staprun and to the bulk transport (relayfs) if it is being used. If the last character given is not a newline, then one is added. This function is not as efficient as printf and should be used only for urgent messages.

Prev | Up | Next
function::ftrace | Home | function::printk